﻿using FluentValidation;

namespace FluentTest
{
    public class CustomerValidator : AbstractValidator<FluentTest_Customer>
    {
        public CustomerValidator()
        {
            RuleFor(customer => customer.Surname).NotEmpty().WithMessage("Please specify last name");
            RuleFor(customer => customer.Forename).NotEmpty().WithMessage("Please specify a first name");
            RuleFor(customer => customer.Address).NotEmpty().WithMessage("Please specify an address");
            RuleFor(customer => customer.Address).Matches(@"(?=.*\d)").WithMessage("Address must contain a number");
            RuleFor(customer => customer.Discount).Must(x => x.Length == 0).When(y => y.Surname == "Washington").WithMessage("Cannot give a discount to the Washington's");
        }
    }
}
