﻿using System;
using FluentValidation.Results;
using System.Collections.Generic;

namespace FluentTest
{
    public partial class FluentTestDALDataContext
    {
        partial void InsertFluentTest_Customer(FluentTest_Customer instance)
        {
            CustomerValidator validator = new CustomerValidator();
            ValidationResult results = validator.Validate(instance);

            if (!results.IsValid)
            {
                // There was an error
                List<string> ColErrors = new List<string>();
                IList<ValidationFailure> failures = results.Errors;
                foreach (var failure in results.Errors)
                {
                    ColErrors.Add(String.Format(@"<p class='style1'>* {0}</p>", failure.ErrorMessage));
                }
                
                throw new Exception(String.Join(" ", ColErrors.ToArray()));
            }
            else
            {
                // No errors - proceed with insert
                this.ExecuteDynamicInsert(instance);
            }
        }
    }
}
